BlazorPolyfill.Server 5.0.102

Support of Blazor server-side for Internet Explorer 11, Edge Legacy and more on .NET 5.0.100

Install-Package BlazorPolyfill.Server -Version 5.0.102
dotnet add package BlazorPolyfill.Server --version 5.0.102
<PackageReference Include="BlazorPolyfill.Server" Version="5.0.102" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add BlazorPolyfill.Server --version 5.0.102
The NuGet Team does not provide support for this client. Please contact its maintainers for support.
#r "nuget: BlazorPolyfill.Server, 5.0.102"
#r directive can be used in F# Interactive, C# scripting and .NET Interactive. Copy this into the interactive tool or source code of the script to reference the package.
// Install BlazorPolyfill.Server as a Cake Addin
#addin nuget:?package=BlazorPolyfill.Server&version=5.0.102

// Install BlazorPolyfill.Server as a Cake Tool
#tool nuget:?package=BlazorPolyfill.Server&version=5.0.102
The NuGet Team does not provide support for this client. Please contact its maintainers for support.

Documentation too big to be hosted on NuGet, read it on the the Blazor.Polyfill project page.

Documentation too big to be hosted on NuGet, read it on the the Blazor.Polyfill project page.

Release Notes

5.0.102.0:
- Added option to disable automatic React.NET registration, to give more control to advanced scenarios.
- Updated V8 and Native V8 dependencies to 7.1.0
- Added V8 native dependencies for ARM64 (Linux) and ARM64 (Windows)
- Added some conditional logics about the default JS engine used. Windows and OSX (all CPU type) and Linux (x64) uses ChakraCore. Linux (ARM64) use V8. Other platforms or failing scenarios should use the "UsePackagedBlazorServerLibrary" option instead.

5.0.100.6:
- Add configurable ES5 fallback option with a delegate validation
- Add Javascript isolation and dynamic import emulation - See the documentation

5.0.100.5:
- Fix dependencies error on Linux (Debian 10 default installation)
- Potentially fix Azure Web App error with the default Linux image container
- Added BlazorPolyfillOptions parameter for UseBlazorPolyfill methods in order to configure additional behaviors at startup
- Added the ForceES5Fallback option in order to force ES5 and Polyfill behaviors even if the browser is not Internet Explorer 11 or Edge Legacy.
- Added ChakraCore engine image and set it as default. V8 engine is still present as fallback engine.

5.0.100.4:
- Fix InputFile Razor component not working on IE11 and possibly some legacy Edge versions.

5.0.100.2:
- Fix possible application crash if request headers do not contains the User-Agent header or value

5.0.100.1:
- Add Edge Legacy (EdgeHTML engine) support
- Fix missing reconnection modal behavior on Internet Explorer 11 and Edge Legacy
- Add pre-caching of all files needed for this library at the first web app request, in order to prevent further requests to wait for file generation on the server before serving the app. This mean that, now, if the app page is shown, then everything is ready.

5.0.0:
- Add .NET 5.0 support

NuGet packages

This package is not used by any NuGet packages.

GitHub repositories

This package is not used by any popular GitHub repositories.

Version History

Version Downloads Last updated
5.0.102 1,963 2/1/2021
5.0.100.6 576 1/18/2021
5.0.100.5 212 1/5/2021
5.0.100.4 270 12/18/2020
5.0.100.2 225 12/8/2020
5.0.100.1 140 12/4/2020
5.0.0 269 12/2/2020